Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyRunWar

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.plugins.jetty.AbstractJettyRunTask
                      org.gradle.api.plugins.jetty.JettyRunWar

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, org.gradle.util.Configurable<Task>

    public class JettyRunWar

extends AbstractJettyRunTask

Deploys a WAR to an embedded Jetty web container.

Once started, the web container can be configured to run continuously, scanning for changes to the war file and automatically performing a hot redeploy when necessary.

Field Summary

Fields inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask
`consoleScanner, PORT_SYSPROPERTY, reload, scannerListeners`

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`JettyRunWar()`

Method Summary
`void` | `applyJettyXml()`
`void` | `configureScanner()`
`void` | `configureWebApplication()` Subclasses should invoke this to setup basic info on the webapp.
`org.gradle.api.plugins.jetty.internal.JettyPluginServer` | `createServer()` create a proxy that wraps a particular jetty version Server object.
`void` | `finishConfigurationBeforeStart()`
`File` | `getWebApp()` Returns the web application to deploy.
`void` | `restartWebApp(boolean reconfigureScanner)`
`void` | `setWebApp(File webApp)`
`void` | `validateConfiguration()`

Methods inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask
`findJettyWebXmlFile, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setUserRealms, setWebAppConfig, setWebDefaultXml, start, startConsoleScanner, startJetty, startJettyInternal`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JettyRunWar

    public JettyRunWar()

Method Detail

### configureWebApplication

    public void configureWebApplication()
                                 throws Exception

  Description copied from class: `AbstractJettyRunTask`
  Subclasses should invoke this to setup basic info on the webapp.

  Overrides:
    `configureWebApplication` in class `AbstractJettyRunTask`
  Throws:
    `Exception`

### validateConfiguration

    public void validateConfiguration()

  Specified by:
    `validateConfiguration` in class `AbstractJettyRunTask`

### configureScanner

    public void configureScanner()

  Specified by:
    `configureScanner` in class `AbstractJettyRunTask`

### restartWebApp

    public void restartWebApp(boolean reconfigureScanner)
                       throws Exception

  Specified by:
    `restartWebApp` in class `AbstractJettyRunTask`
  Throws:
    `Exception`

### finishConfigurationBeforeStart

    public void finishConfigurationBeforeStart()

  Specified by:
    `finishConfigurationBeforeStart` in class `AbstractJettyRunTask`

### getWebApp

    public File getWebApp()

  Returns the web application to deploy.

### setWebApp

    public void setWebApp(File webApp)

### applyJettyXml

    public void applyJettyXml()
                       throws Exception

  Specified by:
    `applyJettyXml` in class `AbstractJettyRunTask`
  Throws:
    `Exception`

### createServer

    public org.gradle.api.plugins.jetty.internal.JettyPluginServer createServer()
                                                                         throws Exception

  Description copied from class: `AbstractJettyRunTask`
  create a proxy that wraps a particular jetty version Server object.

  Specified by:
    `createServer` in class `AbstractJettyRunTask`
  Returns:
    The Jetty Plugin Server
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD